## ros-melodic-cob-generic-can 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_generic_can)

find_package(catkin REQUIRED COMPONENTS cob_utilities libntcan libpcan socketcan_interface)

catkin_package(
  CATKIN_DEPENDS cob_utilities libntcan libpcan socketcan_interface
  INCLUDE_DIRS common/include
  LIBRARIES ${PROJECT_NAME}_peaksysusb ${PROJECT_NAME}_peaksys ${PROJECT_NAME}_esd ${PROJECT_NAME}_socketcan
)

### BUILD ###
include_directories(common/include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}_esd common/src/CanESD.cpp)
add_library(${PROJECT_NAME}_peaksys common/src/CanPeakSys.cpp)
add_library(${PROJECT_NAME}_peaksysusb common/src/CanPeakSysUSB.cpp)
add_library(${PROJECT_NAME}_socketcan common/src/SocketCan.cpp)

target_link_libraries(${PROJECT_NAME}_esd ${catkin_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_peaksys ${catkin_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_peaksysusb ${catkin_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_socketcan ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME}_esd ${PROJECT_NAME}_peaksys ${PROJECT_NAME}_peaksysusb ${PROJECT_NAME}_socketcan
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY common/include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-cob-generic-can (0.7.4-1bionic) bionic; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-melodic-cob-generic-can (0.7.3-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-generic-can (0.7.2-1bionic) bionic; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-generic-can (0.7.1-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-generic-can (0.7.0-1bionic) bionic; urgency=high

  * Merge pull request #380 <https://github.com/ipa320/cob_driver/issues/380> from ipa-jba/fix/boost_shared_ptr
    [Melodic] combined melodify pr
  * use all the pointer names I could find
  * replace boost in cob_generic_can
  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.15-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.14-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.13-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-generic-can (0.6.12-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.11-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-generic-can (0.6.10-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.9-1bionic) bionic; urgency=high

  * SocketCAN support (#269 <https://github.com/ipa320/cob_driver/issues/269>)
    * SocketCAN finished implementaiton.
    * Licence update and formating.
    * Run socketcan_interface in the new thread.
    * Removed cmake_modules for boost.
    * Thread initialisation moved to front and added sleep to let enough time to start the thread since this caused problems in some cases (on some computers).
    * Using ThreadedSocketCANInterface.
    * BufferedReader working
    * Updated dependecies and removed initCAN() function.
    * Clean SocketCAN implementation and set Timeout to correct unit (MicroSeconds)
  * manually fix changelog
  * Contributors: Denis Štogl, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.8-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.7-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.6-1bionic) bionic; urgency=high

  * Update accorting to comments from ipa-fxm
  * Correction of include and name
  * Correct interface.
  * compiles...
  * Starting with SocketCAN
  * Contributors: Denis Štogl

 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.5-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.4-1bionic) bionic; urgency=high

  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.3-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.2-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-melodic-cob-generic-can (0.6.1-1bionic) bionic; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-melodic-cob-generic-can (0.6.0-1bionic) bionic; urgency=high

  * Fixed typo
  * Extended with ReciveMsgTimeout method.
  * Correction...
  * Extended CanPeakSysUSB for usage without (obsolete) Ini-file, some stuff clearly written
  * Contributors: Denis Štogl

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-melodic-cob-generic-can (0.5.7-1bionic) bionic; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-generic-can (0.5.6-1bionic) bionic; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * Cleaned up cob_driver with reduced deps to compile on indigo


=== debian/control ===
Source: ros-melodic-cob-generic-can
Section: misc
Priority: optional
Maintainer: Matthias Gruhler <mig@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cob-utilities, ros-melodic-libntcan, ros-melodic-libpcan, ros-melodic-socketcan-interface
Homepage: http://ros.org/wiki/cob_generic_can
Standards-Version: 3.9.2

Package: ros-melodic-cob-generic-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cob-utilities, ros-melodic-libntcan, ros-melodic-libpcan, ros-melodic-socketcan-interface
Description: The package cob_generic_can provides an interface for nodes on a can-bus and examplary wrappers for two PeakSys-can-libs.
 When a can-bus-device is generated (for an example see base_dirve_chain) you can use generic_can to create as many itfs as there will be components communicating via this can-bus. Assign type of the can communication device (e.g. usb-to-can or can-card of a specific vendor) and can-address of the target device. This package comes with wrappers for PeakSys and PeakSysUSB adapters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-generic-can//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
